Device information structs
Public interface » ID macros

Standard device structs, compared to Hardware information. More...

## Data Structures

struct | memory_range_t
| for memory areas More...
struct | smp_info_t
| smp info according to Intel smp spec (ia32) More...
struct | vbe_mode_info_s
| VESA BIOS mode information item. More...
struct | vbe_info_t
| VESA BIOS extensions information Also includes a VESA mode list. More...
struct | cpq_ctlorder_t
| Compaq Controller Order EV (CQHORD) definition. More...
struct | bios32_info_t

## Typedefs

typedef struct vbe_mode_info_s | vbe_mode_info_t
| VESA BIOS mode information item.

## Detailed Description

Standard device structs, compared to Hardware information.

## Typedef Documentation

## vbe_mode_info_t

typedef struct vbe_mode_info_s vbe_mode_info_t

VESA BIOS mode information item.